# Settings The Setting API provides a central API for managing settings in your Zuora tenant. If you use Postman, you can import the Settings API endpoints as a collection into your Postman app and try out different requests to learn how the API works. You can sign up for a free account on the [Postman website](https://identity.getpostman.com/signup) and download the app in case you do not use Postman yet. ## Submit settings requests - [POST /settings/batch-requests](https://developer.zuora.com/v1-api-reference/api/settings/post_processsettingsbatchrequest.md): Submit a batch of settings requests by this single API operation. See a 200 response sample in CSV format that lists all available settings. See a 200 response sample in JSON format that lists all available parameters of each setting. By default, one batch settings request can contain a maximum of 100 single operation requests, including: * All the single requests in the process batch settings request. * All the children requests of the single requests. This maximum value is configurable. ## List all settings - [GET /settings/listing](https://developer.zuora.com/v1-api-reference/api/settings/get_listallsettings.md): Get a list of all available settings in your tenant. The response message is by default in JSON format. If you want to receive all the available settings in csv format, include Accept in the header parameters and set it to application/csv. See a 200 response sample in CSV format that lists all available settings. See a 200 response sample in JSON format that lists all available parameters of each setting. You can find a specific operation of an available setting item in your tenant from the 200 response body of this call. See the following common use cases of Settings API for how to operate on a specifc setting item. * Billing Rules: * Get a specific setting - Billing Rules * Update a specific setting - Billing Rules * Get accounting rules - Billing Rules * Age Buckets: * Get Age Buckets * Update Age Buckets * Invoice Templates: * Get a specific Invoice Template * Get all Invoice Templates * Create a new Invoice Template * Update a specific Invoice Template * Delete a specific Invoice Template * Invoice Group: * Create an invoice group * Update an invoice group * Get a specific invoice group * Communications Profiles: * Create a new Communication Profile * Get a Communication Profile * Get all Communication Profiles * Modify a Communication Profile * Notification Definitions: * Get all notification definitions under a particular Communication Profile * Create a notification definition under a particular Communication Profile * Get a notification definition * Update a notification definition * Delete a notification definition * Reusable Blocks: * Create or update reusable blocks * Get all reusable blocks * Get a reusable block * Update a reusable block * Delete a reusable block * Chart of Accounts: * Get Chart of Accounts * Add a new Chart of Account * Quote Templates: * Get all Quote Templates * Get a specific Quote Template * Create a new Quote Template * Direct Integration Tax Engine: * Create a Tax Engine * Retrieve a Tax Engine * Update a Tax Engine * Connect Tax Engines: * Create a Connect Tax Engine * Get a Connect Tax Engine * Update a Connect Tax Engine * Delete a Connect Tax Engine * Zuora Tax Engine: * Get Tax Engines * Create Tax Code using Zuora Tax Engine * Get Tax Code using Zuora Tax Engine * Update Tax Code using Zuora Tax Engine * Delete Tax Code using Zuora Tax Engine * Zuora Tax Rate Period: * Create Tax Rate Periods * Get Tax Rate Periods * Update Tax Rate Periods * Delete Tax Rate Periods * Zuora Tax Code: * Get Specific Tax Code ID * Create Tax Codes * Update Tax Codes * Delete Tax Codes * Zuora Tax Rates: * Get List of Tax Rates * Create Tax Rates * Update Tax Rates * Delete Tax Rates * Units of Measure: * Create a Unit of Measure * Get a Unit of Measure * Get all Units of Measure * Update a Unit of Measure * Delete a Unit of Measure * Summary Statement: * Get a specific summary statement template * Get all templates for summary statement * Create a new summary statement template * Update a specific summary statement template * Delete a specific summary statement template